target("Editor")
	set_default(false)
	
	-- Disable building
	on_build((function() end))
    
	on_run(
        (function(godot_project_folder)
            return function(target)
                local project_file = path.join(godot_project_folder, "project.godot")
                os.execv("echo", {"godot", project_file})
                os.exec("godot " .. project_file)
            end
        end)(GODOT_PROJECT_FOLDER)
    )